%define major 4
%define libname %mklibname ev %{major}
%define develname %mklibname ev -d

Summary:	High-performance event loop/event model
Name:		libev
Epoch:		1
Version:	4.15
Release:	%mkrel 2
License:	BSD
Group:		System/Libraries
Url:		http://software.schmorp.de/pkg/libev.html
Source0:	http://dist.schmorp.de/libev/%{name}-%{version}.tar.gz
Source1:	%{name}.pc.in 
Patch0:		libev-4.15-Modernize-the-configure.ac.patch
Patch1:		libev-4.15-Add-pkgconfig-support.patch

%description
libev is a high-performance event loop/event model with lots of features.
(see benchmark at http://libev.schmorp.de/bench.html)

It is modeled (very loosely) after libevent and the Event Perl module,
but aims to be faster and more correct, and also more featureful.

%package -n %{libname}
Summary:    High-performance event loop/event model
Group:      System/Libraries

%description -n %{libname}
libev is a high-performance event loop/event model with lots of features.
(see benchmark at http://libev.schmorp.de/bench.html)

It is modeled (very loosely) after libevent and the Event perl module,
but aims to be faster and more correct, and also more featureful.

%package -n %{develname}
Summary:    High-performance event loop/event model
Group:      Development/C
Requires:   %{libname} = %{epoch}:%{version}-%{release}
Provides:   %{name}-devel = %{epoch}:%{version}-%{release}
Provides:   ev-devel = %{epoch}:%{version}-%{release}

%description -n %{develname}
This is the development files needed in order to develop applications using
libev.

%prep
%setup -q

%apply_patches
autoreconf -i

%build
%configure2_5x --includedir=%{_includedir}/%{name} --disable-static --with-pic
%make

%install
%makeinstall_std

rm -rf %{buildroot}%{_libdir}/%{name}.la

%files -n %{libname}
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%doc README
%{_includedir}/%{name}
%{_libdir}/%{name}*.so
%{_libdir}/pkgconfig/%{name}.pc 
%{_mandir}/man3/ev*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1:4.15-2.mga4
+ Revision: 530328
- Mageia 4 Mass Rebuild

* Mon Jul 22 2013 dams <dams> 1:4.15-1.mga4
+ Revision: 457243
- new version 4.15

* Sat Jan 12 2013 umeabot <umeabot> 1:4.11-3.mga3
+ Revision: 357062
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 31 2012 guillomovitch <guillomovitch> 1:4.11-2.mga3
+ Revision: 336595
- drop conflict with libevent-devel, the header is now installed in a different location

* Thu Jun 07 2012 shlomif <shlomif> 1:4.11-1.mga3
+ Revision: 256669
- Correct typos
- New release: 4.11

* Sun Nov 06 2011 dmorgan <dmorgan> 1:4.04-2.mga2
+ Revision: 164177
- Fix headers location

* Sat Jul 16 2011 fwang <fwang> 1:4.04-1.mga2
+ Revision: 124734
- new version 4.04

* Thu Mar 24 2011 boklm <boklm> 1:3.9-5.mga1
+ Revision: 76166
- rebuild for bug #497

* Sun Mar 13 2011 shikamaru <shikamaru> 1:3.9-4.mga1
+ Revision: 70251
- imported package libev


* Sat Mar 12 2011 Rémy Clouard <shikamaru@mandriva.org> 1:3.9-4.mga1
- clean spec (buildroot, ldconfig, unneeded obsolete)
- retab

* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 1:3.9-3mdv2011.0
+ Revision: 609742
- rebuild

* Sat Feb 06 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1:3.9-2mdv2010.1
+ Revision: 501398
- add pkgconfig support

* Sun Jan 03 2010 Frederik Himpe <fhimpe@mandriva.org> 1:3.9-1mdv2010.1
+ Revision: 485975
- update to new version 3.9

  + Michael Scherer <misc@mandriva.org>
    - add a Conflict with libevent, as they both have the same header

* Sun Aug 09 2009 Frederik Himpe <fhimpe@mandriva.org> 1:3.8-1mdv2010.0
+ Revision: 412926
- update to new version 3.8

* Sun Jul 19 2009 Funda Wang <fwang@mandriva.org> 1:3.7-1mdv2010.0
+ Revision: 397414
- New version 3.7

* Mon Feb 16 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 3.53-1mdv2009.1
+ Revision: 340738
- update to new version 3.53

* Sat Jan 10 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 3.52-1mdv2009.1
+ Revision: 328092
- update to new version 3.52

* Sat Dec 27 2008 Funda Wang <fwang@mandriva.org> 3.51-1mdv2009.1
+ Revision: 319983
- new version 3.51

* Wed Nov 19 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 3.49-1mdv2009.1
+ Revision: 304484
- update to new version 3.49

* Fri Oct 31 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 3.48-1mdv2009.1
+ Revision: 298967
- update to new version 3.48

* Wed Oct 22 2008 Funda Wang <fwang@mandriva.org> 3.45-1mdv2009.1
+ Revision: 296349
- New version 3.45

* Sat Oct 11 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 3.44-1mdv2009.1
+ Revision: 292467
- update to new version 3.44

* Mon Jul 21 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 3.43-1mdv2009.0
+ Revision: 239434
- update to new version 3.43

* Sun Jun 22 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 3.42-1mdv2009.0
+ Revision: 227861
- update to new version 3.42

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun May 25 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 3.41-1mdv2009.0
+ Revision: 211227
- obsolete old libname
- update to new version 3.41
- spec file clean

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - fix devel description
    - remove libevent URL

* Mon Nov 26 2007 Götz Waschk <waschk@mandriva.org> 1.4.0-0.beta.1mdv2008.1
+ Revision: 112064
- import libev


* Mon Nov 26 2007 Götz Waschk <waschk@mandriva.org> 1.4.0-0.beta.1mdv2008.1
- initial package
